Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86515 - SNMPD Randomly crashing
Summary: SNMPD Randomly crashing
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-snmp
Version: 8.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-25 00:37 UTC by Ryan Clark
Modified: 2015-03-05 01:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-11-19 10:46:38 UTC


Attachments (Terms of Use)

Description Ryan Clark 2003-03-25 00:37:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 
1.0.3705)

Description of problem:
the snmpd service on more then 1 of our redhat 8.0 servers has been randomly 
dying.  The config (snmpd.conf) is the same and on many redhat 8.0 machines 
that work fine.  It's been happening on more and more systems as time goes by.

Version-Release number of selected component (if applicable):
net-snmp-5.0.6-8.80.2

How reproducible:
Sometimes

Steps to Reproduce:
1. service snmpd start
2. wait....
3. snmpd will die
    

Expected Results:  serivce dies

Additional info:

This is our workaround for it, but this is a hack and shouldn't be needed:

/bin/ps auxww | /bin/grep snmpd | /bin/grep -v check | /bin/grep -v grep 
> /dev/null || /sbin/service snmpd start

Comment 1 Kaj J. Niemi 2003-04-11 01:18:00 UTC
Here's a few suggestions:

1. What specific queries do you interrogate snmpd with?
2. Does it crash randomly or is there a pattern (every 5-6 hrs, 3-4 days?)
3. Do you have IPv6 enabled? (try "lsmod | grep ipv6" or see if
/proc/sys/net/ipv6 exists)
4. Read bug #85071 and see if it applies to you :)
5. If IPv6 isn't enabled, try reproducing by querying the same things over and
over manually (ie. I'm assuming you run somekind of network management software
against your snmpd.)

last but not least ... 

5. strace the snmpd process until it dies or attach gdb and wait until it dies,
do "bt" and report it back..



Comment 2 Phil Knirsch 2003-08-06 09:56:07 UTC
Putting in needinfo. :-)

Read ya, Phil

Comment 3 Phil Knirsch 2003-11-19 10:46:38 UTC
No input in half a year, closing this bug as worksforme (we have quite
a few machines with net-snmp up and running here and i haven't seen
any failures as of yet).

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.